package mobicomp.interfaces;


import java.io.IOException;


public interface MHSocket 
{
    /**
     * All clients receiving a message with this value 
     * in the receiver address field will handle the message.
     */
    public static final int BROADCAST_ADDRESS = 0;

    
    public void setOwnAddress( int addr);
    public int getOwnAddress();

    public void send( MHMessage msg) throws IOException;
}