package mobicomp.interfaces;
public interface Message
{

    /**
     * Set/get the sender address of the packet
     */
    public void setSender( int addr);

    public int getSender();

    /**
     * Set/get the receiver address of the packet
     */
    public void setReceiver( int addr);

    public int getReceiver();

    /**
     * Set/get the data part of the packet
     */
    public void setData( byte[] data);

    public byte[] getData();

}